// ===================THEORY==================================
/*
1. Як можна створити рядок у JavaScript?
Рядок в JS створюється за допомогою одинарних лапок ('') подвійних лапок ("") та зворотніх лапок (``). А також за допомогою конструктора String(), який генерує значення в примітивний рядок.

2. Яка різниця між одинарними (''), подвійними ("") та зворотніми (``) лапками в JavaScript?
Різниці між одинарними та подвійними лапками немає. Але є різниця зі зворотніми лапками, які мають додатковий функціонал (написання в шаблонних рядків, перенесення на нові рядки відповідно до перенесень у коді)

3. Як перевірити, чи два рядки рівні між собою?
Порівняння рядків відбувається за алфавітним порядком. Літери базуються на порядку Юнікоду, тобто кожна має своє значення. Порівняння здійснюються за допомогою операторів порівняння та вираховується між ними булевий тип.

4. Що повертає Date.now()?

5. Чим відрізняється Date.now() від new Date()?
Date.now() повертає кількість секунд які минули від початку першого числа першого місяця поточного року.
new Date() нам повертає поточну дату (число, місяць, рік, день, широта).
*/



// =====================PRACTICE===========================

// 1.

let str = prompt("Введіть будьласка рядок паліндром").toLowerCase();

function isPalindrome(stroke){
    stroke = stroke.replace(/\s/g, "");
    return stroke === stroke.split("").reverse("").join("");
}

if(isPalindrome(str) === true){
    alert("Вітаю, рядок є паліндромом!!!");
}else{
    alert("Рядок не є паліндромом!!!");
}

// 2.

let long = prompt("Введіть будьласка рядок з 12 символів!!!");

function longStr(strTwo) {
    let result;
    while(result = long.length < 12 ? (alert("Повторіть"),  strTwo) : alert("Вітаю!!!")){
        let a;
        long = prompt("Введіть будьласка рядок з 12 символів!!!");
        a = strTwo;
        a++;
    }
    return result;
}

longStr(long);

// 3.

let born = prompt("Введіть будьласка рік місяць та день народження");
let date2 = new Date();
const rev = born.split('.').map(Number).reverse();
function birthCalculate(birth){
    birth = new Date(birth);
    return birth = parseInt((date2 - birth) / (1000 * 60 * 60 * 24 * 365.25));
}
console.log(date2);
console.log(rev);
alert(birthCalculate(rev));


